中危 nginx DNS解析器远程堆缓冲区溢出漏洞

CVE编号

CVE-2011-4315

利用情况

暂无

补丁情况

官方补丁

披露时间

2011-12-09
漏洞描述
nginx是一款高性能的web服务器,使用非常广泛,其不仅经常被用作反向代理,也可以非常好的支持PHP的运行。当处理DNS应答时"ngx_resolver_copy()"函数(ngx_resolver.c)存在边界错误,构建特制DNS应答可触发基于堆的缓冲区溢出。DNS解析器一般用于代理和fastcgi模块,默认不启用。
解决建议
Igor Sysoev nginx 1.0.10已经修复此漏洞,建议用户下载使用:http://nginx.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 nginx nginx * From
(including)
0.6.18
Up to
(excluding)
1.0.10
运行在以下环境
应用 nginx nginx * From
(including)
1.1.0
Up to
(including)
1.1.7
运行在以下环境
应用 suse studio 1.2 -
运行在以下环境
应用 suse studio_onsite 1.2 -
运行在以下环境
应用 suse webyast 1.2 -
运行在以下环境
系统 amazon linux_AMI nginx * Up to
(excluding)
0.8.54-1.4.amzn1
运行在以下环境
系统 amazon_AMI nginx * Up to
(excluding)
0.8.54-1.4.amzn1
运行在以下环境
系统 debian_6 nginx * Up to
(excluding)
0.7.67-3+squeeze1
运行在以下环境
系统 fedoraproject fedora 16 -
运行在以下环境
系统 opensuse_11.4 nginx * Up to
(excluding)
0.8-0.8.53-4.9.1
运行在以下环境
系统 ubuntu_12.04.5_lts nginx * Up to
(excluding)
1.1.19-1
运行在以下环境
系统 ubuntu_12.04_lts nginx * Up to
(excluding)
1.1.19-1
阿里云评分
5.3
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况